"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.param2Obj = exports.sleep = exports.isRegExp = exports.isArray = exports.isFunction = exports.is = void 0;
const toString = Object.prototype.toString;
function is(val, type) {
    return toString.call(val) === `[object ${type}]`;
}
exports.is = is;
function isFunction(val) {
    return is(val, 'Function');
}
exports.isFunction = isFunction;
function isArray(val) {
    return val && Array.isArray(val);
}
exports.isArray = isArray;
function isRegExp(val) {
    return is(val, 'RegExp');
}
exports.isRegExp = isRegExp;
function sleep(time) {
    return new Promise((resolve) => {
        setTimeout(() => {
            resolve();
        }, time);
    });
}
exports.sleep = sleep;
function param2Obj(url) {
    const search = url.split('?')[1];
    if (!search) {
        return {};
    }
    return JSON.parse('{"' +
        decodeURIComponent(search)
            .replace(/"/g, '\\"')
            .replace(/&/g, '","')
            .replace(/=/g, '":"')
            .replace(/\+/g, ' ') +
        '"}');
}
exports.param2Obj = param2Obj;
